### Method

# Gtk CenterBox set_shrink_center_last

since: 4.12

#### Declaration [src]

    void
    gtk_center_box_set_shrink_center_last (
      GtkCenterBox* self,
      gboolean shrink_center_last
    )

#### Description [src]

Sets whether to shrink the center widget after other children.

By default, when there’s no space to give all three children their natural widths, the start and end widgets start shrinking and the center child keeps natural width until they reach minimum width.

If `shrink_center_last` is false, start and end widgets keep natural width and the center widget starts shrinking instead.

Available since: 4.12

Sets property | `Gtk.CenterBox:shrink-center-last`

#### Parameters

`shrink_center_last`

  Type: `gboolean`

  Whether to shrink the center widget after others.